"use client";
import { jsx } from 'react/jsx-runtime';
import React, { useRef, useImperativeHandle } from 'react';
import { IxModal } from '../components.js';

const Modal = React.forwardRef((props, ref) => {
    const wrapperRef = useRef(null);
    useImperativeHandle(ref, () => ({
        close(result) {
            wrapperRef.current?.closeModal(result);
        },
        dismiss(result) {
            wrapperRef.current?.dismissModal(result);
        },
        modalElement: null,
    }));
    return jsx(IxModal, { ref: wrapperRef, children: props.children });
});

export { Modal };
//# sourceMappingURL=modal.js.map
