"use client";
import { defineCustomElement as defineCustomElement$1 } from '@siemens/ix/components/ix-toast-container.js';
import { defineCustomElement } from '@siemens/ix/components/ix-toast.js';
import { toast } from '@siemens/ix';
import ReactDOMClient from 'react-dom/client';

async function showToast(config) {
    // Define custom element, otherwise dynamic creation of toast container will fail
    defineCustomElement();
    defineCustomElement$1();
    if (typeof config.message === 'string') {
        const toastInstance = await toast(config);
        return toastInstance;
    }
    const node = config.message;
    const toastContainer = document.createElement('DIV');
    const root = ReactDOMClient.createRoot(toastContainer);
    root.render(node);
    const toastInstance = await toast({
        ...config,
        message: toastContainer,
    });
    toastInstance.onClose.once(() => {
        root.unmount();
    });
    return toastInstance;
}

export { showToast };
//# sourceMappingURL=toast.js.map
